{
  pkgs,
  buildRoot,
  projectDefinition,
  ...
}: let
  ciJobToken = builtins.getEnv "CI_JOB_TOKEN";
  gitCommit =
    if ciJobToken == ""
    then (builtins.getFlake "git+https://gitlab.schukai.com/schukai/entwicklung/nix-flakes").packages.${builtins.currentSystem}.git-commit
    else "";

  goPkgReleaseData = import ./project.nix;
  goPkgName = goPkgReleaseData.name;
  goPkgMnemonic = goPkgReleaseData.mnemonic;

  serviceSourcePath = "${buildRoot}/services/";
in
  pkgs.writeTextFile {
    name = ".gitlab-ci.yml";
    text = ''
      ## THIS FILE IS AUTOGENERATED. DO NOT EDIT THIS FILE DIRECTLY.
      ## THIS FILE IS AUTOGENERATED. DO NOT EDIT THIS FILE DIRECTLY.
    '';
  }
